#### D.2.13.2 killTask

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  killTask(t), t task

Return:
  nothing. If the state of t is 'started', then t is stopped first. The internal data structures of t are erased and its state is set to 'uninitialized'.

Note:
  'killTask(t);' is not the same as 'kill t;'. The latter command does not erase the internal data structures of t. Hence killTask() should be called for any no longer needed task in order to free memory.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = "std", list(I);
    startTasks(t);
    t;
    ==> A task with the following properties:
    ==> command:          std
    ==> no. of arguments: 1
    ==> state:            started
    ==>
    killTask(t);
    t;
    ==> An uninitialized task
    ==>
    getState(t);
    ==> uninitialized

See also: createTask; getState; printTask; stopTask.

User manual for Singular version 4.4.1, 2025, generated by texi2html.